<?php
/**
* Legacy class, replaced by full MVC implementation.  See {@link JController}
*
* @deprecated	As of version 1.5
* @package	Joomla.Legacy
* @subpackage	1.5
* This file provides compatibility for simplemembership Library on Joomla! 1.0.x and Joomla! 1.5
*
*/

// Check to ensure this file is within the rest of the framework
defined( '_JEXEC' ) or die( 'Restricted access' );

if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

// components/com_SIMPLEMEMBERSHIP
DEFINE('_SIMPLEMEMBERSHIP_TITLE','SIMPLEMEMBERSHIP');
DEFINE('_SIMPLEMEMBERSHIP_ENLARGE_PICTURE', '<i>Click on the picture to get further information about the user!</i>');
DEFINE('_SIMPLEMEMBERSHIP_NO_PICTURE', 'no-img_eng.gif');
DEFINE('_SIMPLEMEMBERSHIP_NOT_AUTHORIZED', 'You are not allowed to perform this action!');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_OK', 'OK');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_STATUS', 'Status');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_PLEASE_SEL', 'Please select');

//Group manager
DEFINE ('_SIMPLEMEMBERSHIP_CATEGORIES_MANAGER','SIMPLEMEMBERSHIP :: Groups');
DEFINE ('_SIMPLEMEMBERSHIP_HEADER_CATEGORY', 'Group');
DEFINE ('_SIMPLEMEMBERSHIP_HEADER_NUMBER', 'user');
DEFINE ('_SIMPLEMEMBERSHIP_HEADER_ACCESS', 'Access');
DEFINE ('_SIMPLEMEMBERSHIP_HEADER_ADD', 'Add');
DEFINE ('_SIMPLEMEMBERSHIP_HEADER_EDIT', 'Edit');
DEFINE ('_SIMPLEMEMBERSHIP_CATEGORY', 'Group');
DEFINE ('_SIMPLEMEMBERSHIP_CATEGORIES_NAME', 'Groups');
DEFINE ('_SIMPLEMEMBERSHIP_CATEGORIES__DETAILS', 'Details');
DEFINE ('_SIMPLEMEMBERSHIP_DELETED','Deleted');

//end NEW Group Manager
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_ALL_CATEGORIES', '- All Groups');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_CATEGORIES', 'Select Groups');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_TO_PUBLIC', 'Select Approved');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_ALL_PUBLIC', '- All user');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_NOT_PUBLIC', 'Not Approved');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_PUBLIC', 'Approved');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_TO_ENABLE', 'Select Enabled');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_ALL_ENABLE', '- All user');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_NOT_ENABLE', 'Not Enabled');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SELECT_ENABLE', 'Enabled');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SEARCH', 'Search User');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SEARCH_BUTTON', 'Search');

DEFINE('_SIMPLEMEMBERSHIP_SHOW', 'SIMPLEMEMBERSHIP :: User');
DEFINE('_SIMPLEMEMBERSHIP_SHOW_SEARCH', 'Search:');

DEFINE('_SIMPLEMEMBERSHIP_SHOW_SEARCH_KOM', 'You must first create a Group for this Section.');

DEFINE('_SIMPLEMEMBERSHIP_LABEL_COMMENT', 'Comment');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_CATEGORY', 'Group');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_LANGUAGE', 'Language');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_TITLE', 'Title');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USER', 'User');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_EMAIL', 'Email');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_PUBLIC', 'Published');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_REQUIRED', 'Comment');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_BUTTON_SAVE', '[ Save ]');

//Languages
DEFINE('_SIMPLEMEMBERSHIP_LANGUAGE_NOT_USED', 'Not specified');
DEFINE('_SIMPLEMEMBERSHIP_LANGUAGE_ENG', 'English');
DEFINE('_SIMPLEMEMBERSHIP_LANGUAGE_RUS', 'Russian');
DEFINE('_SIMPLEMEMBERSHIP_NO', 'NO');
DEFINE('_SIMPLEMEMBERSHIP_YES', 'YES');
DEFINE('_SIMPLEMEMBERSHIP_ERROR_DEL', 'Error deleting user!');

DEFINE('_SIMPLEMEMBERSHIP_WS_NO', 'On your own');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_FRONTEND', 'SIMPLEMEMBERSHIP :: Settings Frontend');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_BACKEND', 'SIMPLEMEMBERSHIP :: Settings Backend');


DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL', '"Add user" email');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL_TT_HEAD', '"Add user" email');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL_TT_BODY', 'Specify email address to send notification messages for "Add user" added. You can enter multiple email addresses separated by a comma.');

DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ABOUT', 'SIMPLEMEMBERSHIP :: About');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ABOUT_ABOUT', 'About');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ABOUT_RELEASENOTE', 'Releasenotes');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ABOUT_CHANGELOG', 'Changelog');
DEFINE('_SIMPLEMEMBERSHIP__HTML_ABOUT', 'Welcome to SIMPLEMEMBERSHIP');
DEFINE('_SIMPLEMEMBERSHIP__HTML_ABOUT_INTRO','Thank you for using our component!<br /><br />');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ABOUT_HELP','Help');


DEFINE('_SIMPLEMEMBERSHIP_ADMIN_INFOTEXT_JS_EDIT_CATEGORY', 'You must select a Group for the user!');
DEFINE('_SIMPLEMEMBERSHIP_TOOLBAR_ADMIN_SAVE', 'Save');
DEFINE('_SIMPLEMEMBERSHIP_DOC_GENERAL_INFO', 'General information:');

DEFINE('_SIMPLEMEMBERSHIP_DOC_VERSION', 'Version:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_RELEASE_DATE', 'Release date:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_PROJECTLINK', 'Project link:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_PROJECT_HOST', 'Project host:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_LICENSE', 'License:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_WARRANTY', '<a href="http://www.gnu.org/licenses/gpl-2.0.txt">License</a><br>This program is distributed in the hope that it will be useful, but without any warranty. See the included LICENSE.TXT for more details.');
DEFINE('_SIMPLEMEMBERSHIP_DOC_DEVELOP', 'Developed by:');
DEFINE('_SIMPLEMEMBERSHIP_DOC_HOMEPAGE', 'Homepage');


// Add user from frontend Section
DEFINE('_SIMPLEMEMBERSHIP_INFOTEXT_JS_ADD_TITLE','User must have a title');
DEFINE('_SIMPLEMEMBERSHIP_INFOTEXT_JS_ADD_BODY','User body must not be empty');

DEFINE('_SIMPLEMEMBERSHIP_ADMIN_USERS', 'SIMPLEMEMBERSHIP :: Users');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERNAME', 'Name');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERGROUP', 'Current group(joomla)');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USEREMAIL', 'Email');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERSTATUS', 'Status');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERENABLED', 'Enabled(joomla)');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERREGISTERTIME', 'Registered');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERLASTAPPROVED', 'Last approved');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ACL_GROUP_LIST', 'Possible groups to choose');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ACL_GROUP_LIST_TT_BODY', 'Possible groups to choose on frontend in user account.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ACL_GROUP_LIST_TT_HEAD', 'Possible groups.');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERAPPROVED', 'Approved');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_USERWANTED_STATUS', 'Want group(joomla)');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL_SEND', 'Add user to send email.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL_SEND_TT_BODY', 'Send email to admin when user created on frontend.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADDUSER_EMAIL_SEND_TT_HEAD', 'Add user to send email.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_PREREGISTERMSG', 'Pre-register message.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_POSTREGISTERMSG', 'Post-register message.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ADMINACCCREATENOTIFY', 'Administrator notification message on account creation.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERACCCREATENOTIFY', 'Notification message on account creation.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERACCENABLENOTIFY', 'Notification message on account enabled.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERACCAPPROVENOTIFY', 'Notification message on account approved.');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERACCDISAPPROVENOTIFY', 'Notification message on account disapproved.');
DEFINE('ADMIN_GROUP_NAME', 'Group name.');
DEFINE('ADMIN_GROUP_ACLGROUPNAME', 'Joomla group name.');
DEFINE('ADMIN_GROUP_INTERVAL', 'Interval');
DEFINE('ADMIN_GROUP_NOTES', 'Notes');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_TITLE', 'Title');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_ACLSELECT', 'Joomla group connected to SIMPLEMEMBERSHIP group');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_INTERVAL', 'Time to expire for this group');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_NOTES', 'Post-register notes for this group');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_PRODUCTNAME', 'Connected virtuemart product');
DEFINE('SIMPLEMEMBERSHIP_GROUP_EDIT_PRODUCTLINK', 'Link for buying product(used in system messages)');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_ACTIVATION', 'Activation message');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_ACLNAME', 'Joomla Group name');
DEFINE('_SIMPLEMEMBERSHIP_PARENT_GROUP', 'Joomla parent Group');
DEFINE('_SIMPLEMEMBERSHIP_TODELETE_GROUP', 'Choose joomla group to delete');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_NAME', 'Name');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_USERNAME', 'UserName');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_EMAIL', 'Email');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_PASSWORD', 'Password');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_PASSWORDCONFIRM', 'Confirm Password');
DEFINE('_SIMPLEMEMBERSHIP_USEREDIT_SIMPLEMEMBERSHIPGOUPS', 'SIMPLEMEMBERSHIP groups');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERS_WHO_CAN_SEE_THE_OTHER_PROFILES', 'Users who can see the other profiles');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERS_WHO_CAN_SEE_THE_OTHER_PROFILES_TT_HEAD', 'Users who can see the other profiles');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_USERS_WHO_CAN_SEE_THE_OTHER_PROFILES_TT_BODY', 'Users who can see the other profiles - who can see other profiles');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_DEFAULT_GROUP', 'Default joomla group');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_DEFAULT_GROUP_TT_HEAD', 'Default joomla group');
DEFINE('_SIMPLEMEMBERSHIP_ADMIN_CONFIG_DEFAULT_GROUP_TT_BODY', 'Default joomla group - "minimal" joomla group');
DEFINE('_SIMPLEMEMBERSHIP_LABEL_SIMPLEMEMBERSHIPGROUP', 'Group');
DEFINE('ADMIN_GROUP_PUBLISH', 'Published');
DEFINE('WARNREG_EMAIL_INUSE', 'This email address is already in use');
DEFINE('WARNREG_INUSE', 'The user name already in use');
?>
